Index: admin_templates/scheduled_tasks/scheduled_task_edit.tpl
===================================================================
--- admin_templates/scheduled_tasks/scheduled_task_edit.tpl	(revision 15437)
+++ admin_templates/scheduled_tasks/scheduled_task_edit.tpl	(working copy)
@@ -97,8 +97,17 @@
 		<inp2:m_RenderElement name="subsection" title="la_title_RunSettings"/>
 			<inp2:m_RenderElement name="inp_label" prefix="scheduled-task" field="LastRunOn"/>
 			<inp2:m_RenderElement name="inp_label" prefix="scheduled-task" field="LastRunStatus"/>
-			<inp2:m_RenderElement name="inp_label" prefix="scheduled-task" field="RunTime"/>
 
+			<inp2:m_RenderElement design="form_row" prefix="scheduled-task" field="RunTime">
+				<td class="control-cell" valign="top">
+					<inp2:m_if check="{$prefix}_Field" name="$field" db="db">
+						<inp2:$prefix_Field name="$field"/>
+					<inp2:m_else/>
+						<inp2:m_Phrase name="la_LessThen1Second"/>
+					</inp2:m_if>
+				</td>
+			</inp2:m_RenderElement>
+
 		<inp2:m_RenderElement name="inp_edit_filler"/>
 	</table>
 </div>
Index: admin_templates/scheduled_tasks/scheduled_task_list.tpl
===================================================================
--- admin_templates/scheduled_tasks/scheduled_task_list.tpl	(revision 15437)
+++ admin_templates/scheduled_tasks/scheduled_task_list.tpl	(working copy)
@@ -84,6 +84,14 @@
 </tbody>
 </table>
 
+<inp2:m_DefineElement name="grid_runtime_td">
+	<inp2:m_if check="Field" name="$field" db="db">
+		<inp2:Field name="$field"/>
+	<inp2:m_else/>
+		<inp2:m_Phrase name="la_LessThen1Second"/>
+	</inp2:m_if>
+</inp2:m_DefineElement>
+
 <inp2:m_RenderElement name="grid" PrefixSpecial="scheduled-task" IdField="ScheduledTaskId" grid="Default"/>
 <script type="text/javascript">
 	Grids['scheduled-task'].SetDependantToolbarButtons( new Array('edit','delete', 'approve', 'decline', 'process', 'cancel') );
Index: install/english.lang
===================================================================
--- install/english.lang	(revision 15552)
+++ install/english.lang	(working copy)
@@ -751,6 +751,7 @@
 			<PHRASE Label="la_Invalid_Password" Module="Core" Type="1">SW5jb3JyZWN0IFVzZXJuYW1lIG9yIFBhc3N3b3Jk</PHRASE>
 			<PHRASE Label="la_invalid_state" Module="Core" Type="1">SW52YWxpZCBzdGF0ZQ==</PHRASE>
 			<PHRASE Label="la_ItemTab_Categories" Module="Core" Type="1">U2VjdGlvbnM=</PHRASE>
+			<PHRASE Label="la_LessThen1Second" Module="Core" Type="1">PCAxIHNlYy4=</PHRASE>
 			<PHRASE Label="la_link_editorspick_prompt" Module="Core" Type="1">RGlzcGxheSBlZGl0b3IgUElDS3MgYWJvdmUgcmVndWxhciBsaW5rcw==</PHRASE>
 			<PHRASE Label="la_link_newdays_prompt" Module="Core" Type="1">TnVtYmVyIG9mIGRheXMgZm9yIGEgbGluayB0byBiZSBORVc=</PHRASE>
 			<PHRASE Label="la_link_perpage_prompt" Module="Core" Type="1">TnVtYmVyIG9mIGxpbmtzIHBlciBwYWdl</PHRASE>
Index: kernel/managers/scheduled_task_manager.php
===================================================================
--- kernel/managers/scheduled_task_manager.php	(revision 15457)
+++ kernel/managers/scheduled_task_manager.php	(working copy)
@@ -112,7 +112,7 @@
 
 		ignore_user_abort(true);
 		set_time_limit(0);
-		
+
 		$events_source = $this->getAll();
 
 		$user_id = $this->Application->RecallVar('user_id');
@@ -195,7 +195,7 @@
 		// remember, when scheduled task execution ended
 		$fields_hash = Array (
 			'NextRunOn' => $next_run,
-			'RunTime' => round(($now - $start_time) / 60),
+			'RunTime' => $now - $start_time,
 			'LastRunStatus' => $event->status == kEvent::erSUCCESS ? ScheduledTask::LAST_RUN_SUCCEEDED : ScheduledTask::LAST_RUN_FAILED,
 		);
 
Index: units/scheduled_tasks/scheduled_tasks_config.php
===================================================================
--- units/scheduled_tasks/scheduled_tasks_config.php	(revision 15437)
+++ units/scheduled_tasks/scheduled_tasks_config.php	(working copy)
@@ -127,7 +127,11 @@
 			),
 
 			'NextRunOn' => Array ('type' => 'int', 'formatter' => 'kDateFormatter', 'default' => NULL),
-			'RunTime' => Array ('type' => 'int', 'not_null' => 1, 'default' => 0),
+			'RunTime' => Array (
+				'type' => 'int',
+				'formatter' => 'kDateFormatter', 'date_format' => '', 'input_date_format' => '', 'time_format' => 'H:i:s', 'use_timezone' => 0,
+				'not_null' => 1, 'default' => 0
+			),
 			'Timeout' => Array (
 				'type' => 'int',
 				'min_value_inc' => 1,
@@ -154,7 +158,7 @@
 					'Event' => Array ('filter_block' => 'grid_like_filter', 'width' => 280),
 					'RunSchedule' => Array ('filter_block' => 'grid_range_filter', 'width' => 100),
 					'LastRunOn' => Array ('filter_block' => 'grid_date_range_filter', 'width' => 145),
-					'RunTime' => Array ('filter_block' => 'grid_range_filter', 'width' => 100),
+					'RunTime' => Array ('data_block' => 'grid_runtime_td', 'filter_block' => 'grid_range_filter', 'width' => 100),
 					'LastRunStatus' => Array ('filter_block' => 'grid_options_filter', 'width' => 90),
 					'NextRunOn' => Array ('filter_block' => 'grid_date_range_filter', 'width' => 145),
 					'Status' => Array ('filter_block' => 'grid_options_filter', 'width' => 65),
